<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'eatery',

    /*
     * Modules.
     */
    'modules'   => ['zinginternal'],

    
    'zinginternal'       => [
        'model' => [
            'model' => \Litecms\Eatery\Models\Zinginternal::class,
            'repository' => \Litecms\Eatery\Repositories\Eloquent\ZinginternalRepository::class,
            'table' => 'zinginternals',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => [],
            'translatables' => [],
            'upload_folder' => 'eatery/zinginternal',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Eatery',
            'module' => 'Zinginternal',
        ],
    ],
];
